import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function ArrayFieldItemTemplate(props) {
    const { children, disabled, hasToolbar, hasCopy, hasMoveDown, hasMoveUp, hasRemove, index, onCopyIndexClick, onDropIndexClick, onReorderClick, readonly, uiSchema, registry, } = props;
    const { CopyButton, MoveDownButton, MoveUpButton, RemoveButton } = registry.templates.ButtonTemplates;
    return (_jsx("div", { className: 'ms-Grid', dir: 'ltr', children: _jsxs("div", { className: 'ms-Grid-row', children: [_jsx("div", { className: 'ms-Grid-col ms-sm6 ms-md8 ms-lg9', children: _jsx("div", { className: 'ms-Grid-row', children: children }) }), hasToolbar && (_jsxs("div", { className: 'ms-Grid-col ms-sm6 ms-md4 ms-lg3', style: { textAlign: 'right' }, children: [(hasMoveUp || hasMoveDown) && (_jsx(MoveUpButton, { disabled: disabled || readonly || !hasMoveUp, onClick: onReorderClick(index, index - 1), uiSchema: uiSchema, registry: registry })), (hasMoveUp || hasMoveDown) && (_jsx(MoveDownButton, { disabled: disabled || readonly || !hasMoveDown, onClick: onReorderClick(index, index + 1), uiSchema: uiSchema, registry: registry })), hasCopy && (_jsx(CopyButton, { disabled: disabled || readonly, onClick: onCopyIndexClick(index), uiSchema: uiSchema, registry: registry })), hasRemove && (_jsx(RemoveButton, { disabled: disabled || readonly, onClick: onDropIndexClick(index), uiSchema: uiSchema, registry: registry }))] }))] }) }));
}
//# sourceMappingURL=ArrayFieldItemTemplate.js.map