import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getSubmitButtonOptions } from '@rjsf/utils';
import { PrimaryButton } from '@fluentui/react';
export default function SubmitButton({ uiSchema }) {
    const { submitText, norender, props: submitButtonProps } = getSubmitButtonOptions(uiSchema);
    if (norender) {
        return null;
    }
    return (_jsxs("div", { children: [_jsx("br", {}), _jsx("div", { className: 'ms-Grid-col ms-sm12', children: _jsx(PrimaryButton, { text: submitText, type: 'submit', ...submitButtonProps }) })] }));
}
//# sourceMappingURL=SubmitButton.js.map